Bug 439207 - Software Updater Exception
Software Updater Exception
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
6
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:25 EDT by clark
Modified: 2008-05-02 23:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 23:33:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clark 2008-03-27 11:25:25 EDT
Description of problem: Software Updater Exception


Version-Release number of selected component (if applicable):


How reproducible: Start Software Updater


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Component: Software Updater
Summary: TBfa533769 config.py:75:__set__:ValueError: Error parsing '4': invalid
boolean value

Traceback (most recent call last):
  File "/usr/sbin/pup", line 659, in ?
    main()
  File "/usr/sbin/pup", line 652, in main
    pup = PackageUpdater()
  File "/usr/sbin/pup", line 90, in __init__
    GraphicalYumBase.__init__(self, False)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 124, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 132, in
doConfigSetup
    self.conf = config.readMainConfig(startupconf)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 602, in readMainConfig
    yumconf.populate(startupconf._parser, 'main')
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 371, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.4/site-packages/yum/config.py", line 75, in __set__
    raise ValueError('Error parsing %r: %s' % (value, str(e)))
ValueError: Error parsing '4': invalid boolean value

Local variables in innermost frame:
obj: [main]
alwaysprompt: True
assumeyes: False
bandwidth: 0
cachedir: '/var/cache/yum'
commands: []
debuglevel: 2
diskspacecheck: True
distroverpkg: 'redhat-release'
enable_group_conditionals: True
enabled: True
enablegroups: True
errorlevel: 2
exactarch: True
exactarchlist: ['kernel', 'kernel-smp', 'glibc', 'kernel-hugemem',
'kernel-enterprise', 'kernel-bigmem', 'kernel-devel']
exclude: []
failovermethod: 'roundrobin'
gpgcheck: True
group_package_types: ['mandatory', 'default']
http_caching: 'all'
installonlypkgs: ['kernel', 'kernel-bigmem', 'kernel-enterprise', 'kernel-smp',
'kernel-modules', 'kernel-debug', 'kernel-unsupported', 'kernel-source',
'kernel-devel']
installroot: '/'
keepalive: True
keepcache: True
kernelpkgnames: ['kernel', 'kernel-smp', 'kernel-enterprise', 'kernel-bigmem',
'kernel-BOOT']
logfile: '/var/log/yum.log'
metadata_expire: 1800
obsoletes: False
overwrite_groups: False
pluginconfpath: ['/etc/yum/pluginconf.d']
pluginpath: ['/usr/lib/yum-plugins']
plugins: False
proxy: None
proxy_password: None
proxy_username: None
recent: 7
reposdir: ['/etc/yum/repos.d', '/etc/yum.repos.d']
retries: 10
showdupesfromrepos: False
syslog_facility: 'LOG_DAEMON'
syslog_ident: None
throttle: 0
timeout: 30.0
tolerant: True
tsflags: []
yumversion: 'unversioned'
self: <yum.config.BoolOption object at 0x885ef6c>
e: invalid boolean value
value: 4

Expected results:


Additional info:
Comment 1 petrosyan 2008-04-03 13:38:00 EDT
Which version of pup are you using? (rpm -q pup)
Comment 2 Bug Zapper 2008-04-04 03:41:55 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Mike Chambers 2008-05-02 23:33:16 EDT
Reporter needs to update to latest Fedora version, and if bug is still
reproducible then they can change the version to the latest and reopen the bug.
 This bug is now closed due to EOL for Fedora 6.

Note You need to log in before you can comment on or make changes to this bug.